#ifndef GAME_H
#define GAME_H

#include "String.h"
#include "Types.h"

class Game final {
public:

    enum FieldState {
        BLACK, WHITE, EMPTY
    };
    
    Game();
    
    void reset(String& output);
    void parse(const String& input, String& output);

private:
    bool isDigit(char c) const;
    void reset();
    void print(String& s) const;
    void printLine(String& s, int index) const;
    void markActive(int x, int y, String& output);
    void move(int x, int y, String& output);
    void removeLine(int x, int y, int x2, int y2, FieldState remove);
    void revertToSelection(String& output);
    bool areNeighbours(int x, int y, int x2, int y2) const;
    void botMove(String& output);
    
    FieldState fields[9][5];
    int activeX;
    int activeY;
};

#endif